Login
Newsletter
Werbung

Sicherheit: Denial of Service in ImageMagick
Aktuelle Meldungen Distributionen
Name: Denial of Service in ImageMagick
ID: SUSE-SU-2020:2750-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-SP5, SUSE Linux Enterprise Software Development Kit 12-SP5, SUSE Linux Enterprise Workstation Extension 12-SP5
Datum: Fr, 25. September 2020, 23:38
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-11527
Applikationen: ImageMagick

Originalnachricht


SUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: SUSE-SU-2020:2750-1
Rating: moderate
References: #1047054
Cross-References: CVE-2017-11527
Affected Products:
SUSE Linux Enterprise Workstation Extension 12-SP5
SUSE Linux Enterprise Software Development Kit 12-SP5
SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for ImageMagick fixes the following issues:

- CVE-2017-11527: Fixed a denial of service inReadDPXImage() (bsc#1047054).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Workstation Extension 12-SP5:

zypper in -t patch SUSE-SLE-WE-12-SP5-2020-2750=1

- SUSE Linux Enterprise Software Development Kit 12-SP5:

zypper in -t patch SUSE-SLE-SDK-12-SP5-2020-2750=1

- SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2020-2750=1



Package List:

- SUSE Linux Enterprise Workstation Extension 12-SP5 (x86_64):

ImageMagick-6.8.8.1-71.144.8
ImageMagick-debuginfo-6.8.8.1-71.144.8
ImageMagick-debugsource-6.8.8.1-71.144.8
libMagick++-6_Q16-3-6.8.8.1-71.144.8
libMagick++-6_Q16-3-debuginfo-6.8.8.1-71.144.8
libMagickCore-6_Q16-1-32bit-6.8.8.1-71.144.8
libMagickCore-6_Q16-1-debuginfo-32bit-6.8.8.1-71.144.8

- SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le
s390x x86_64):

ImageMagick-6.8.8.1-71.144.8
ImageMagick-config-6-SUSE-6.8.8.1-71.144.8
ImageMagick-config-6-upstream-6.8.8.1-71.144.8
ImageMagick-debuginfo-6.8.8.1-71.144.8
ImageMagick-debugsource-6.8.8.1-71.144.8
ImageMagick-devel-6.8.8.1-71.144.8
libMagick++-6_Q16-3-6.8.8.1-71.144.8
libMagick++-6_Q16-3-debuginfo-6.8.8.1-71.144.8
libMagick++-devel-6.8.8.1-71.144.8
perl-PerlMagick-6.8.8.1-71.144.8
perl-PerlMagick-debuginfo-6.8.8.1-71.144.8

- SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

ImageMagick-config-6-SUSE-6.8.8.1-71.144.8
ImageMagick-config-6-upstream-6.8.8.1-71.144.8
ImageMagick-debuginfo-6.8.8.1-71.144.8
ImageMagick-debugsource-6.8.8.1-71.144.8
libMagickCore-6_Q16-1-6.8.8.1-71.144.8
libMagickCore-6_Q16-1-debuginfo-6.8.8.1-71.144.8
libMagickWand-6_Q16-1-6.8.8.1-71.144.8
libMagickWand-6_Q16-1-debuginfo-6.8.8.1-71.144.8


References:

https://www.suse.com/security/cve/CVE-2017-11527.html
https://bugzilla.suse.com/1047054

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung